#!/bin/sh
# i18n.sh - i18n support on petget
# 11jul09 by Masaki Shinomiya <shino@pos.to>

### petget.mo
### pkg_chooser.sh
#w482 Loc_updating_menu, Loc_updating_flicker, Loc_updating_help
#v425 Loc_processing_all
Loc_Title="Puppy Package Manager"

Loc_Repo="Repo"

Loc_Desktop="Desktop"

Loc_System="System"

Loc_Setup="Setup"

Loc_Utility="Utility"

Loc_Filesystem="Filesystem"

Loc_Graphic="Graphic"

Loc_Document="Document"

Loc_Calculate="Calculate"

Loc_Personal="Personal"

Loc_Network="Network"

Loc_Internet="Internet"

Loc_Multimedia="Multimedia"

Loc_Fun="Fun"

Loc_Col_Package="Package"

Loc_Col_Description="Description"

Loc_inst1="To install/uninstall,"

Loc_inst2="simply click on a package."

Loc_InstPack="Installed packages"

Loc_Find="Find"

Loc_Configure="Configure package manager"

Loc_Exit="Exit package manager"


### configure.sh
Loc_configure="configure"

Loc_Update_database="Update database"

Loc_Puppy_has="Puppy_has a database file for each package repository. Click this button to download the latest information on what packages are in the repository"

Loc_Update_now="Update now"

Loc_configure_Note="Note: some repositories are 'fixed' and do not need to be updated. An example of this is the Slackware official version 12.2 repo. An example that does change is the Slackware 'slacky' 12.2 repo which has extra packages for Slackware 12.2. Anyway, to be on the safe side, clicking the above button will update all database files."

Loc_configure_Warning="Warning: The database information for some repositories is quite large, about 1.5MB for 'slacky' and several MB for Ubuntu/Debian. If you are on dialup, be prepared for this."

Loc_configure_Technical="Technical note: if you would like to see the package databases, they are at /root/.packages/Packages-*. These are in a standardised format, regardless of which distribution they were obtained from. This format is considerably smaller than that of the original distro."

Loc_Requires="Requires restart of PPM to see changes"

Loc_choicerepo="Choose repositories"

Loc_Choose_what="Choose what repositories you would like to have appear in the main GUI window (tick a maximum of 5 boxes)"

Loc_Adding_a_new_repository="Adding a new repository currently requires manual editing of some text files. Click this button for further information"

Loc_Add_repo_help="Add repo help"

Loc_help_file="README-add-repo.htm"

### check_deps.sh
###Loc_title="PETget パッケージマネージャ: 依存チェック"
Loc_check="dependency check"

Loc_Checking="Checking \${APKGNAME} for missing shared library files..."

Loc_Checking_all="Checking all user-installed packages for any missing dependencies..."

Loc_File="File"

Loc_missing="has these missing library files:"

Loc_Check_dependencies="Check_dependencies"

Loc_no_packages="No packages installed by user, click 'Cancel' button"

Loc_choose="Please choose what package you would like to check the dependencies of"

Loc_User_installed="User-installed packages"

Loc_No_missing_shared="No missing shared libraries"

Loc_No_missing_dependent="No missing dependent packages"

Loc_checked_shared="Puppy has searched for any missing shared libraries of these packages"

Loc_checked_dependent="Puppy has examined all user-installed packages and found these missing dependencies"


### dependencies.sh
Loc_processing="Please wait, processing package database files..."


# downloadpkgs.sh
Loc_download="download"

Loc_You_have_chosen="You have chosen to download these packages"

Loc_LOCAL_FOLDER="LOCALFOLDER"

Loc_choose_URL="Please choose which URL you would like to download them from. Choose '${Loc_LOCAL_FOLDER}' if you have already have them on this computer (on hard drive, USB drive or CD)"

Loc_Test_URLs="Test URLs"

Loc_Download="Download packages"

Loc_Files_not="Note: Files not displayed, only directories"

Loc_Choose_local="Choose local directory"

Loc_faulty1="Error, faulty download of"

Loc_faulty2=""

Loc_failed1="Error, failed download of"

Loc_failed2=""

Loc_downloaded="Finished. The packages have been downloaded to /root directory."

Loc_no_menu=="...look in the appropriate MENU-CATEGORY in the menu (bottom-left of screen) to run the application. Note, some packages do not have a menu entry."

Loc_installed="The following packages have been successfully installed"

Loc_Trim_the_fat="Trim the fat"

Loc_concerned="NOTE: If you are concerned about the large size of the installed packages, Puppy has some clever code to delete files that are not likely to be needed for the application to actually run. If you would like to try this, click '${Loc_Trim_the_fat}' button (otherwise just click 'OK')"

Loc_chosen_trim="You have chosen to '${Loc_Trim_the_fat}' of these installed packages"

Loc_Type="Type the 2-letter country designations for the locales that you want to retain, separated by commas. Leave blank to retain all locale files (see /usr/share/locale for examples)"

Loc_en="en"

Loc_Documentation="Documentation"

Loc_delete_documentation="Tick this to delete documentation files"

Loc_Development="Development"

Loc_delete_development="Tick this to delete development files"

Loc_only_needed="(only needed if these packages are required as dependencies when compiling another package from source code)"

Loc_Click_or="Click 'OK', or if you decide to chicken-out click 'Cancel'"

Loc_trimming_fat="Please wait, trimming fat from packages..."


### fetchinfo.sh
Loc_downloading_databese1="Please wait, downloading database file to "
Loc_downloading_databese2="..."

### filterpkgs.sh
Loc_processing_all="Please wait, processing all entries may take awhile..."

###findenames.sh
Loc_no_matching="Sorry, no matching package name"


### installpreview.sh
Loc_processing_package_database="Please wait, processing package database files..." 

Loc_no_description="no description available"

Loc_will_occupy1="After installation, this package will occupy"
Loc_will_occupy2=". The amount of free space that you have for installation is"
Loc_will_occupy3="."



Loc_no_space1="A general rule-of-thumb is that the free space should be at least the original-package-size plus installed-package-size plus 10MB to allow for sufficient working space during and after installation. It doesn't look to good, so you had better hit the 'Cancel' button"
Loc_no_space2=" -- note, if you are running Puppy in a mode that has a 'pupsave' file, then the Utility menu has an entry 'Resize personal storage file' that should solve the problem."


Loc_Install1="Install"
Loc_Install2=""
Loc_looks_ok="...free space looks ok, so click '${Loc_Install1}' button"



Loc_Unfortunately1="Unfortunately the provider of the package database has not supplied the size of this package when installed. If you are able to see the size of the compressed package, multiple that by 3 to get the approximate installed size. The free available space, which is"
Loc_Unfortunately2=", should be at least 4 times greater."


Loc_Sometimes_though="It seems that all dependencies are already installed. Sometimes though, the dependency information in the database is incomplete, however a check for presence of needed shared libraries will be done after installation."

Loc_Examine_dependencies="Examine dependencies"

Loc_packages_are_missing="Warning, the following dependent packages are missing"

Loc_other_dependencies="A warning, these dependencies may have other dependencies not necessarily listed here. It is recommended that you click the '${Loc_Examine_dependencies}' button to find all dependencies before installing."

Loc_occupy1="After installation, this package will occupy"
Loc_occupy2=", however the dependencies will need more space so you really need to find what they will need first."


Loc_not_supplied="Also, the package database provider has not supplied the installed size of this package, so you will have to try and estimate whether you have enough free space for it (and the dependencies)"

Loc_chosen_to_install1="You have chosen to install package"
Loc_chosen_to_install2=". A short description of this package is"


Loc_more_info1="If you would like more information about"
Loc_more_info2=", such as what it is for and the dependencies, this button will download and display detailed information"
Loc_More_info="More info"



Loc_REPOSITORY="REPOSITORY"

Loc_Dependencies="Dependencies"

Loc_SIZE="SIZE"

Loc_DESCRIPTION="DESCRIPTION"

Loc_Too_many="SORRY! Too many dependencies, list truncated. Suggest install some deps first."

Loc_like_enough="If that looks like enough free space, go ahead and click the 'Install' button..."

Loc_Not_too_good="Not too good! recommend that you make more space before installing -- see 'Resize personal storage file' in the 'Utility' menu."

Loc_automatic="Sometimes Puppy's automatic dependency checking comes up with a list that may include packages that don't really need to be installed, or are already installed under a different name. If uncertain, just accept them all, but if you spot one that does not need to be installed, then un-tick it."

Loc_avoids="Puppy usually avoids listing the same package more than once if it exists in two or more repositories. However, if the same package is listed twice, choose the one that seems to be most appropriate."

Loc_Click_to_see="Click to see the hierarchy of the dependencies"

Loc_View_hierarchy="View hierarchy"

Loc_will_occupy10="If all of the above packages are selected, the total installed size will be"

Loc_How_do_you="How do you like to do with the selected packages?"

Loc_Download_only="Download-only"

Loc_Download_and_install="Download-and-install"

Loc_updating_menu="Please wait, updating help page and menu..."

Loc_updating_flicker="Please wait, updating help page and menu (the screen will flicker!)..."

Loc_updating_help="Please wait, updating help page..."


### petget
Loc_confirm="Click 'OK' button to confirm that you wish to install this package"

#Loc_Kindly_answer="Kindly answer these questions for the Puppy package database."

#Loc_Replace="Replace the example entry with a very short (3-8 words) description of package"

#Loc_Menu_category="Menu category"

#Loc_If_you_think="If you think (or know) that this package needs to have an entry in the menu, choose the category that you would like to see it in. If you think it is the type of package that would not have a menu entry, or uncertain, leave at 'NO MENU ENTRY'"

Loc_failed_to_install1="Error, package"
Loc_failed_to_install2="failed to install."


Loc_successfully_installed="The following package has been successfully installed"

Loc_look_in="...look in the '\${INSTALLEDCAT}' in the menu (bottom-left of screen) to run the application."

Loc_no_menu="...note, this package does not have a menu entry."


### removepreview.sh
Loc_no_user_installed="There are no user-installed packages yet, so nothing to uninstall!"
Loc_confirm_uninstall1="Click 'OK' button to confirm that you wish to uninstall package"
Loc_confirm_uninstall2=""


Loc_Perhaps="Perhaps you don't need these dependencies that you had also installed"

Loc_want_to_remove="...if you do want to remove them, you will have to do so back on the main window, after clicking the 'Ok' button below (perhaps make a note of the package names on a scrap of paper right now)"

Loc_removed1="Package"
Loc_removed2="has been removed."



## testurls.sh
Loc_Testing="Testing the URL"

Loc_TESTING_SUMMARY="=== TESTING SUMMARY ==="

Loc_TESTING_FINISHED="=== TESTING FINISHED ==="

Loc_Read="Read the above, any that returned \"200 OK\" succeeded."

Loc_Press_ENTER="Press ENTER"

### end of petget.mo

# set locale
# myLOCALE=$LANG # is enough for puppy. but this code is more general. 
for myLOCALE in C $(echo $LANGUAGE|cut -d':' -f1) $LC_ALL $LANG;do :;done	# ex. 	ja_JP.UTF-8
# search locale file. NOTE: here LOCALEFILE is fixed as 'petget.mo'
myLOCALE1=$(echo $myLOCALE|cut -d'.' -f1)		# ex.	ja_JP
myLOCALE2=$(echo $myLOCALE|cut -d'_' -f1)	# ex.	ja
LOCALEDIR=/usr/share/locale
LOCALEFILE=petget.mo
for D in C $myLOCALE2 $myLOCALE1 $myLOCALE
do
	F="$LOCALEDIR/$D/LC_MESSAGES/$LOCALEFILE"
	[ -f "$F" ] && . "$F" 
done

export LANGORG=$LANG
export X1PID
mysplash() {
	LANG=$LANGORG gxmessage -center -wrap -bg orange -title "$Loc_Title" -buttons '' -nofocus "$@" &
	export X1PID=$!
}