<?xml version="1.0"?>

<JWM>

 <!-- IMPORTANT, ONLY EDIT /etc/xdg/templates/_root_.jwmrc -->
 <!-- jwm menu for puppy Linux -->
 <RootMenu label="Menu" labeled="false" height="24" onroot="3">
 
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-desktop.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-system.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-setup.menu

  <Separator/>

  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-utility.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-filesystem.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-graphic.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-document.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-calculate.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-personal.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-network.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-internet.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-multimedia.menu
  PUPPYMENU jwm-xdgmenu /etc/xdg/menus/puppy-fun.menu

  <Separator/>

  <Program label="Help" icon="help24.png">exec defaulthtmlviewer file:///usr/share/doc/help/C/index.html</Program>

  <Menu label="Shutdown" icon="shutdown24.png" height="16">
   <!-- <Exit confirm="false" label="Exit to prompt" icon="prompt16.xpm" /> -->
   <Program label="Exit to prompt" icon="prompt16.xpm">exec wmexit</Program>
   <Program label="Reboot computer" icon="mini-turn.xpm">exec wmreboot</Program>
   <Program label="Power-off computer" icon="mini-stop.xpm">exec wmpoweroff</Program>
   <Program label="Restart X server" icon="mini-x.xpm">restartwm</Program>
   <Program label="Restart JWM" icon="mini-windows.xpm">restartjwm</Program>
   <!--<Restart label="Restart JWM" icon="mini-windows.xpm"/> -->
  <!-- <Program label="Change Window Manager" icon="mini-windows.xpm">changewm.sh</Program> -->
  </Menu>

 </RootMenu>

	<Group>
		<Class>Gaim</Class>
		<Option>sticky</Option>
	</Group>

	<Group>
		<Class>xmms</Class>
		<Option>icon:xmms.xpm</Option>
	</Group>

	<Group>
		<Class>absvolume</Class>
		<Name>absvolume</Name>
		<Option>nolist</Option>
	</Group>

	<Group>
		<Name>xmessage</Name>
		<!-- <Option>icon:info16.xpm</Option> -->
		<Option>notitle</Option>
		<Option>nolist</Option>
	</Group>

	<!-- Additional tray attributes: autohide, width, border, layer, layout -->
	<!-- Tray definition moved to separate file: .jwmrc-tray -->
	<Include>/root/.jwmrc-tray</Include>

	<!-- Visual Styles -->

<!--	<BorderStyle>
		<Font>DejaVu Sans 12</Font>
		<Width>4</Width>
		<Height>19</Height>
		<Foreground>black</Foreground>
		<Background>gray90</Background>
		<ActiveForeground>white</ActiveForeground>
		<ActiveBackground>#4A5966</ActiveBackground>
	</BorderStyle> -->

<!-- new for jwm 2.0, replaces borderstyle above -->
<WindowStyle>
    <Font>DejaVu Sans 12</Font>
    <Width>3</Width>
    <Height>22</Height>     
    <Active>
       <Text>black</Text>
       <Title>#ffda51:#ffa100</Title>
<!--       <Corner>white</Corner> -->
       <Outline>black</Outline>
    </Active>
    <Inactive>
       <Text>#aaaaaa</Text>
       <Title>#fffa71:#ffda51</Title>         
       <Corner>#aaaaaa</Corner>
       <Outline>gray70</Outline>
    </Inactive>
</WindowStyle> 


	<PagerStyle>
		<Outline>black</Outline>
		<Foreground>#ffc100</Foreground>
		<Background>#ffc100</Background>
		<ActiveForeground>#ff8100</ActiveForeground>
		<ActiveBackground>#ffa100</ActiveBackground>
	</PagerStyle>

	<MenuStyle>
		<Font>DejaVu Sans 12</Font>
		<Foreground>black</Foreground>
		<Background>#ffda51</Background>
		<ActiveForeground>black</ActiveForeground>
		<ActiveBackground>#ffda51:#ffa100</ActiveBackground>
	</MenuStyle>

	<PopupStyle>
		<Font>DejaVu Sans 12</Font>
		<Outline>black</Outline>
		<Foreground>black</Foreground>
		<Background>yellow</Background>
	</PopupStyle>

	<!-- <Icons> -->
	<!--	<IconPath>$HOME/.icons</IconPath> -->
		<IconPath>/usr/local/lib/X11/mini-icons</IconPath>
		<IconPath>/usr/local/lib/X11/pixmaps</IconPath>
		<IconPath>/usr/share/pixmaps</IconPath>
		<IconPath>/usr/local/share/pixmaps</IconPath>
	<!-- </Icons> -->

	<StartupCommand>
	</StartupCommand>

	<!-- Virtual Desktops -->
	<!-- Name tags can be contained within Desktops for desktop names. -->
	<Desktops count="3"/>

	<!-- Double click speed (in milliseconds) -->
	<DoubleClickSpeed>400</DoubleClickSpeed>

	<!-- Double click delta (in pixels) -->
	<DoubleClickDelta>3</DoubleClickDelta>

	<!-- The focus model (sloppy or click) -->
	<FocusModel>sloppy</FocusModel>

	<!-- The snap mode (none, screen, or border) -->
	<SnapMode distance="10">border</SnapMode>

	<!-- The move mode (outline or opaque) -->
	<MoveMode>opaque</MoveMode>

	<!-- The resize mode (outline or opaque) -->
	<ResizeMode>opaque</ResizeMode>

	<!-- Key bindings -->
	<Key key="Up">up</Key>
	<Key key="Down">down</Key>
	<Key key="Right">right</Key>
	<Key key="Left">left</Key>
	<Key key="h">left</Key>
	<Key key="j">down</Key>
	<Key key="k">up</Key>
	<Key key="l">right</Key>
	<Key key="Return">select</Key>
	<Key key="Escape">escape</Key>

	<Key mask="A" key="Tab">next</Key>
	<Key mask="A" key="F4">close</Key>
	<Key mask="A" key="#">desktop#</Key>
	<Key mask="A" key="F1">root:3</Key>
	<Key mask="A" key="F2">window</Key>

 <!-- <Include>/root/.jwm/themes/jwm-default</Include> -->
 <Include>/root/.jwm/jwmrc-theme</Include>
 <Include>/root/.jwm/jwmrc-personal</Include>
</JWM>
